Unit WACapi;
{ ========================================================================== }
{ =   Lynx Tecnologia Eletrnica Ltda.                                     = }
{ =   Projeto:   Windows Drivers - AC2122               Data: 05/jul/2001  = }
{ =   Mdulo:    WACapi                                                    = }
{ =   Autor:     Lauro                                                     = }
{ =   Descrio: Acesso s primitivas da DLL WAC2122                       = }
{ =   Verso:    1.0                                                       = }
{ ========================================================================== }
{$ALIGN OFF}  { Desliga opo de alinhamento da memria }

{-------------------------  Descrio da Interface  -------------------------}
Interface
  Uses Windows;

{ ===================================================== }
{ =              Declarao de constantes             = }
{ ===================================================== }

  Const {------------------------------------------------- Cdigos de erro --}
    cNoError             = 0;
    cErrorNotConnected   = 101;
    cErrorNoSignal       = 102;
    cErrorAcqNotActive   = 103;
    cErrorAcqActive      = 104;
    cErrorAcqBufOverrun  = 111;



{ ===================================================== }
{ =     Declarao de tipos e variveis pblicas      = }
{ ===================================================== }

  Const
    cUserBufSize = 16384;     // Tamanho do buffer em bytes

  Type {---------------------------------- Parmetro de sada da GetAiCaps --}
    TpAiRange = array [0..15] of single;

  Type {--------------------------------- Parmetro de sada da GetSamples --}
    TpUserBuf = array [0..cUserBufSize-1] of smallint;


{ ========================================================================== }
{ =                    Primitivas do driver WAC2122                        = }
{ ========================================================================== }

  Function  OpenDriver: boolean; stdcall;
  Procedure CloseDriver; stdcall;
  Procedure GetVersion (Var VersionHigh, VersionLow: byte); stdcall;
  Procedure GetAiCaps (Var nAiChannels, nAiRange: smallint; Var AiRange: TpAiRange); stdcall;
  Function  ConnectAC2122 (IP: pchar): boolean; stdcall;
  Procedure DisconnectAC2122; stdcall;
  Procedure Clear_CM; stdcall;
  Function  Insert_AI_CM (ModAddr, Channel, iRange: byte): boolean; stdcall;
  Function  AcquisitionSetup (fExtClock: boolean; FsUser: single;
              Var SampleFreq: single; Var ErrorCode: integer): boolean; stdcall;
  Function  StartAcquisition: boolean; stdcall;
  Procedure StopAcquisition; stdcall;
  Function  GetSamples (Var ErrorCode, iSample, nSampRead: integer;
                        Var UserBuf: TpUserBuf): boolean; stdcall;
  Function  ReadAC2122DigitalPort (Var Value: word): boolean; stdcall;
  Function WriteAC2122DigitalPort (Loc_Bus_Addr: byte; Value: word): boolean; stdcall;


(*
Ordem de uso das rotinas do API:

  OpenDriver        {reconhece, aloca e inicia driver}
  GetVersion        {l verso do driver}
  | ConnectAC2122     {estabelece link de rede com equipamento}
  | GetAiCaps         {l caractersticas do equipamento}
  | | Clear_CM          {inicia memoria de canais}
  | | | Insert_AI_CM      {especifica canal a ser aquisitado}
  | | AcquisitionSetup  {configura a aquisio}
  | | StartAcquisition  {inicia a aquisio}
  | | | GetSamples        {l amostragens}
  | | StopAcquisition   {pra aquisio}
  | DisconnectAC2122  {rompe link de rede com equipamento}
  CloseDriver       {desaloca driver}
*)

{--------------------------  Bloco de Implementao  ------------------------}
Implementation

{ ========================================================================== }
{ =                    Primitivas de acesso ao driver                      = }
{ ========================================================================== }

Function  OpenDriver; stdcall; external 'WAC2122A.DLL';
Procedure CloseDriver; stdcall; external 'WAC2122A.DLL';
Procedure GetVersion; stdcall; external 'WAC2122A.DLL';
Procedure GetAiCaps; stdcall; external 'WAC2122A.DLL';
Function  ConnectAC2122; stdcall; external 'WAC2122A.DLL';
Procedure DisconnectAC2122; stdcall; external 'WAC2122A.DLL';
Procedure Clear_CM; stdcall; external 'WAC2122A.DLL';
Function  Insert_AI_CM; stdcall; external 'WAC2122A.DLL';
Function  AcquisitionSetup; stdcall; external 'WAC2122A.DLL';
Function  StartAcquisition; stdcall; external 'WAC2122A.DLL';
Procedure StopAcquisition; stdcall; external 'WAC2122A.DLL';
Function  GetSamples; stdcall; external 'WAC2122A.DLL';
Function  ReadAC2122DigitalPort; stdcall; external 'WAC2122A.DLL';
Function  WriteAC2122DigitalPort; stdcall; external 'WAC2122A.DLL';

{ ===================================================== }
{ =            Rotina de iniciao do mdulo          = }
{ ===================================================== }

end.

