Attribute VB_Name = "WACapi"
' ============================================================================
' =   Lynx Tecnologia Eletrnica Ltda.                                       =
' =   Projeto:   Windows Drivers - AC2122                                    =
' =   Programa:  Teste do driver da placa AC2122                             =
' =   Mdulo:    WACapi                                                      =
' =   Autor:     Lauro                                                       =
' =   Descrio: Acesso s primitivas da DLL WAC2122A                        =
' =   Verso:    1.0  03/jul/2001 Primeira verso.                           =
' =              1.1  04/fev/2002 Acrescentada leitura de entradas e         =
' =                   escritas de sadas digitais (Wagner).                  =
' ============================================================================

' =====================================================
' =              Declarao de constantes             =
' =====================================================

  '------------------------------------------------------- Cdigos de erro --
  Public Const cNoError = 0
  Public Const cErrorNotConnected = 101
  Public Const cErrorNoSignal = 102
  Public Const cErrorAcqNotActive = 103
  Public Const cErrorAcqActive = 104
  Public Const cErrorAcqBufOverrun = 111
  
  

' ============================================================================
' =                         Declarao de Tipos                              =
' ============================================================================

  Type TpAiRange
    Range(0 To 15) As Single
  End Type
  
  Public Const cBufSize = 16384   ' Tamanho do buffer em amostras
  Type TpUserBuf
    Buffer(0 To cBufSize - 1) As Integer
  End Type



' ============================================================================
' =                   Primitivas do driver WAC2122A.DLL                      =
' ============================================================================

'-------------------------------------------------  Abre o acesso ao driver --
Declare Function OpenDriver Lib "WAC2122A.DLL" () As Byte

'------------------------------------------------- Fecha o acesso ao driver --
Declare Sub CloseDriver Lib "WAC2122A.DLL" ()

'------------------------------------------------- Obtm a verso do driver --
Declare Sub GetVersion Lib "WAC2122A.DLL" _
        (VersionHigh As Byte, VersionLow As Byte)

'----------------------------------- Obtm os recursos de entrada analgica --
Declare Sub GetAiCaps Lib "WAC2122A.DLL" _
        (nAiChannels As Integer, nAiRange As Integer, _
         AiRange As TpAiRange)

'-------------------------------- Estabelece a conexo de rede com a AC2122 --
Declare Function ConnectAC2122 Lib "WAC2122A.DLL" (ByVal IP As String) As Byte

'---------------------------------- Finaliza a conexo de rede com a AC2122 --
Declare Sub DisconnectAC2122 Lib "WAC2122A.DLL" ()

'------------------------------------------------ Limpa a memria de canais --
Declare Sub Clear_CM Lib "WAC2122A.DLL" ()

'---------------------------------------- Insere canal na memria de canais --
Declare Function Insert_AI_CM Lib "WAC2122A.DLL" _
        (ByVal ModAddr As Byte, ByVal Channel As Byte, _
         ByVal iRange As Byte) As Byte

'---------------------------------- Preparao da aquisio por interrupo --
Declare Function AcquisitionSetup Lib "WAC2122A.DLL" _
        (ByVal fExtClock As Byte, ByVal FsUser As Single, _
         SampleFreq As Single, ErrorCode As Long) As Byte

'--------------------------------------- Inicia a aquisio por interrupo --
Declare Function StartAcquisition Lib "WAC2122A.DLL" () As Byte

'------------------------------------- Finaliza a aquisio por interrupo --
Declare Sub StopAcquisition Lib "WAC2122A.DLL" ()

'----------------------------- Leitura das amostras aquisitadas pelo driver --
Declare Function GetSamples Lib "WAC2122A.DLL" _
        (ErrorCode As Long, iSample As Long, _
         nSampReadAs As Long, UserBuf As TpUserBuf) As Byte

'-------------------------------------------- Leitura das entradas digitais --
Declare Function ReadAC2122DigitalPort Lib "WAC2122A.DLL" _
        (Value As Integer) As Byte
        
'---------------------------------------------- Escrita nas saidas digitais --
Declare Function WriteAC2122DigitalPort Lib "WAC2122A.DLL" _
        (ByVal Value As Integer) As Byte

Public fMainForm As frmMain


Sub Main()
    Set fMainForm = New frmMain
    fMainForm.Show
End Sub
